# Uses of Enum Class
com.google.protobuf.Descriptors.FieldDescriptor.JavaType

Packages that use Descriptors.FieldDescriptor.JavaType
Package
Description
com.google.protobuf

## Uses of Descriptors.FieldDescriptor.JavaType in com.google.protobuf

Methods in com.google.protobuf that return Descriptors.FieldDescriptor.JavaType
Modifier and Type
Method
Description
`Descriptors.FieldDescriptor.JavaType`
Descriptors.FieldDescriptor.`getJavaType()`
Get the field's java type.
`Descriptors.FieldDescriptor.JavaType`
Descriptors.FieldDescriptor.Type.`getJavaType()`
`static Descriptors.FieldDescriptor.JavaType`
Descriptors.FieldDescriptor.JavaType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FieldDescriptor.JavaType[]`
Descriptors.FieldDescriptor.JavaType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.